
.social-btns .btn,
.social-btns .btn:before,
.social-btns .btn .fa {
  transition: all 0.35s;
  transition-timing-function: cubic-bezier(0.31, -0.105, 0.43, 1.59);
}
.social-btns .btn:before {
  top: 90%;
  left: -110%;
}
.social-btns .btn .fa {
  -webkit-transform: scale(0.8);
          transform: scale(0.8);
}
.social-btns .btn.facebook:before {
  background-color: #3b5998;
}
.social-btns .btn.facebook .fa {
  color: #3b5998;
}
.social-btns .btn.twitter:before {
  background-color: #000;
}
.social-btns .btn.twitter .fa {
  color: #000;
}
.social-btns .btn.pinterest:before {
  background-color: #e60023;
}
.social-btns .btn.pinterest .fa {
  color: #e60023;
}
.social-btns .btn.instagram:before {
  color: #fff;
  background: #d6249f;
  background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%,#d6249f 60%,#285AEB 90%);
  box-shadow: 0px 3px 10px rgba(0,0,0,.25);
}
.social-btns .btn.instagram .fa {
  color: #4c6ef5;
}
.social-btns .btn.google:before {
  background-color: #dc4a38;
}
.social-btns .btn.google .fa {
  color: #dc4a38;
}
.social-btns .btn.youtube:before {
  background-color: #ff0000;
}
.social-btns .btn.youtube .fa {
  color: #ff0000;
}
.social-btns .btn.whatsapp:before {
  background-color: #25D366;
}
.social-btns .btn.whatsapp .fa {
  color: #25D366;
}
.social-btns .btn.telegram:before {
  background-color: #0088cc;
}
.social-btns .btn.telegram .fa {
  color: #0088cc;
}
.social-btns .btn.skype:before {
  background-color: #00aff0;
}
.social-btns .btn.skype .fa {
  color: #00aff0;
}
.social-btns .btn.linkedin:before {
  background-color: #2977c9;
}
.social-btns .btn.linkedin .fa {
  color: #2977c9;
}
.social-btns .btn.tumblr:before {
  background-color: #34526f;
}
.social-btns .btn.tumblr .fa {
  color: #34526f;
}
.social-btns .btn:focus:before,
.social-btns .btn:hover:before {
  top: -10%;
  left: -10%;
}
.social-btns .btn:focus .fa,
.social-btns .btn:hover .fa {
  color: #fff;
  -webkit-transform: scale(1);
          transform: scale(1);
}
.social-btns {
  height: 90px;
  margin: auto;
  font-size: 0;
  text-align: center;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}
.social-btns .btn {
  display: inline-block;
  background-color: #e8e8e8;
  width: 90px;
  height: 90px;
  line-height: 90px;
  margin: 0 10px;
  text-align: center;
  position: relative;
  overflow: hidden;
  border-radius: 28%;
  box-shadow: 0 5px 15px -5px rgba(0,0,0,0.1);
  opacity: 0.99;
}
.social-btns .btn:before {
  content: '';
  width: 120%;
  height: 120%;
  position: absolute;
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
}
.social-btns .btn .fa {
  font-size: 38px;
  vertical-align: middle;
}

.social-btns .btn.twitter .fa {
    font-family: sans-serif; /* Aplica la fuente sans-serif a la clase .fa en el botón de Twitter */
}

.social-btns .btn.twitter .fa::before {
    content: "𝕏"; /* Reemplaza el contenido del ícono de Twitter con el nuevo símbolo */
    font-size: 1.2em; /* Ajusta el tamaño del nuevo símbolo */
}